Name:      perl-NCSU-RESTclient
Version:   0.6.2
Release:   1.vision4
Summary:        Extensible library for NCSU REST services
License:        CHECK(Distributable)
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/NCSU-RESTclient/
Source0:        http://www.cpan.org/modules/by-module/NCSU/NCSU-RESTclient-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Date::Format)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(Digest::SHA) >= 5
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(IO::Socket::SSL) >= 1
BuildRequires:  perl(LWP) >= 5
BuildRequires:  perl(LWP::Protocol::https)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Load::Conditional)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(URI)
BuildRequires:  perl(version)
Requires:       perl(Date::Format)
Requires:       perl(Digest::MD5)
Requires:       perl(Digest::SHA) >= 5
Requires:       perl(IO::Socket::SSL) >= 1
Requires:       perl(LWP) >= 5
Requires:       perl(LWP::Protocol::https)
Requires:       perl(Module::Load::Conditional)
Requires:       perl(URI)
Requires:       perl(version)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
NCSU::RESTclient provides a simple, standard way to use perl to interact
with standardized RESTful services on NCSU campus.

%prep
%setup -q -n NCSU-RESTclient-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
# ./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Oct 04 2019 Charles Brabec <brabec@ncsu.edu> - 0.6.1-1.vision4
- adds authtype 'basic'

* Fri Mar 29 2019 Charles Brabec <brabec@ncsu.edu> - 0.5.2-1.vision4
- adds temporary cookie jar to internal useragent

* Wed Dec 13 2017 Charles Brabec <brabec@ncsu.edu> - 0.5.1-1.vision4
- adds encoder = 'json' for use with Dancer2 REST services

* Thu Jun 08 2017 Charles Brabec <brabec@ncsu.edu> - 0.4.2-1.vision4
- bugfix for bad JSON returns

* Wed Aug  3 2016 Vision4 Importer <nobody@ncsu.edu> - 0.4.1-1.vision4
- Imported to Vision4 Repo

* Wed Aug 03 2016 Vision4 Importer <nobody@ncsu.edu> 0.4.1-1
- Specfile autogenerated by cpanspec 1.78.
